/*
Theme Name:     Lekton Style 2025
Template:       twentytwentyfive
Version:        3.0.0
*/

/* Иконки Гугл. */
@import url('https://fonts.googleapis.com/css?family=Material+Icons'); 

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 30px;  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  vertical-align: middle;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
}

/* global-styles-inline-css */

body { font-weight: normal; }

/* Форма обратной связи Contact Form 7 */

:root :where(.wp-element-button, .wpcf7 .wpcf7-form input[type=submit], .wp-block-button__link) {
    background-color: var(--wp--preset--color--contrast);
    border-width: 0;
    color: var(--wp--preset--color--base);
    font-family: inherit;
    font-size: var(--wp--preset--font-size--medium);
    font-style: inherit;
    font-weight: inherit;
    letter-spacing: inherit;
    line-height: inherit;
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-left: 1.5rem;
	padding-right: 1.5rem;
    text-decoration: none;
    text-transform: inherit;
}
:root :where(.wp-element-button:hover, .wpcf7 .wpcf7-form input[type=submit]:hover, .wp-block-button__link:hover) {
    background-color: color-mix(in srgb, var(--wp--preset--color--contrast) 85%, transparent);
    border-color: transparent;
    color: var(--wp--preset--color--base);
}
.wpcf7 .lkt-form {
	font-family: inherit;
	font-size: 1.2rem;
    margin: 0.45rem 0 !important;
	width: 98%;
}
img.wpcf7-form-control.wpcf7-captchac {
	vertical-align: middle;
}
input.wpcf7-form-control.wpcf7-captchar {
	line-height: 1.5rem;
    font-family: inherit;
    font-size: inherit;
    text-align: center;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    letter-spacing: 3px;
}

textarea.wpcf7-form-control.wpcf7-textarea.lkt-form {
    padding-top: 0.5rem;
    padding-bottom: .5rem;
}
textarea.wpcf7-form-control.wpcf7-textarea.lkt-form,
input.wpcf7-form-control.wpcf7-text.lkt-form,
input.wpcf7-form-control.wpcf7-captchar {
	border-image: none;
	border: solid #666666ff 1px;
}
.wpcf7 .lkt-form .msg-pass p {
    display: flex;
    flex-direction: row;
	flex-wrap: wrap;
    justify-content: space-between;
	align-items: center;

}
.wpcf7 .wpcf7-form textarea::-webkit-input-placeholder,
.wpcf7 .wpcf7-form input::-webkit-input-placeholder,
.wpcf7 .wpcf7-form textarea::placeholder,
.wpcf7 .wpcf7-form input::placeholder {
		font-size: 11px;
		line-height: 1.4;
		
		text-transform: uppercase;
		letter-spacing: 1px;
		color: #333333;
		padding-left: 6px;
}

.wpcf7 .wpcf7-form p {
	margin: 0;
}
.wpcf7-not-valid-tip {
    color: #dc3232;
    font-size: 0.75em;
    font-weight: normal;
    display: block;
}



/* Раскрываем все вкладки и скрываем их заголовки */
.woocommerce div.product .woocommerce-tabs ul.tabs { display: none; }
.woocommerce-tabs .woocommerce-Tabs-panel ul, .woocommerce-tabs .woocommerce-Tabs-panel ul li { display: block; }
#tab-description, #tab-send_mail_form, #tab-reviews, #tab-additional_information { display: block !important; }

/* Таблица с атрибутами Товара */
.woocommerce table.shop_attributes {
	border-top: 2px solid rgba(0, 0, 0, .1);
    border-bottom: 2px solid rgba(0, 0, 0, .1);
}
.woocommerce table.shop_attributes th {
    width: 100px;
}

.woocommerce-tabs #tab-additional_information .woocommerce-product-attributes td p,
.woocommerce-tabs #tab-additional_information .woocommerce-product-attributes th {
    font-size: 0.75em;
	line-height: 1.35rem;
	text-align: left;
	font-style: normal;
}
.woocommerce table.shop_attributes td,
 .woocommerce table.shop_attributes th {
    border-top: 0;
	border-bottom: 0;
    /*border-bottom: 1px dotted rgba(0,0,0,.1);*/
}

/* Таблица в подтверждении заказа */
.wc-block-order-confirmation-summary ul {
    display: block;
}
.wc-block-order-confirmation-summary ul li>.wc-block-order-confirmation-summary-list-item__value {
    display: inline-block;
}



/* Рейтинг товара - звездочки */
.woocommerce .star-rating, 
.wc-block-grid__product-rating .star-rating span, 
.wc-block-grid__product-rating .wc-block-grid__product-rating__stars span, 
.wc-block-grid__product-rating .wc-block-product-review-rating__stars span, 
.wp-block-woocommerce-product-review-rating .star-rating span, 
.wp-block-woocommerce-product-review-rating .wc-block-grid__product-rating__stars span, 
.wp-block-woocommerce-product-review-rating .wc-block-product-review-rating__stars span {
    color: gold;
}

/* Настройка картинки и галереи на странице Товара (ширина, отступы) */
.woocommerce .wp-block-woocommerce-product-image-gallery {
    max-width: 645px;
}
.woocommerce div.product div.images .flex-control-thumbs {
    margin: 0.5rem 0;
}
.woocommerce div.product div.images .flex-control-thumbs li {
    width: 14%;
    margin-right: .5rem;
}


/* Подпись к фото в Галерее вытаскиваем под картинку */
.wp-block-gallery.has-nested-images figure.wp-block-image:has(figcaption):before {
	display: none;
}
.wp-block-gallery.has-nested-images figure.wp-block-image {
	justify-content: flex-start;
}
.wp-block-gallery.has-nested-images.is-cropped figure.wp-block-image:not(#individual-image) a:focus, {
    /*outline: none;*/
}
.wp-block-gallery.has-nested-images.is-cropped figure.wp-block-image:not(#individual-image) a, 
.wp-block-gallery.has-nested-images.is-cropped figure.wp-block-image:not(#individual-image) img {
    height: auto !important;
}
.wp-block-gallery.has-nested-images figure.wp-block-image figcaption {
	position: relative;
    text-shadow: none;
	color: #000; 
	background: none;
	padding-left: 0;
    text-align: left;
	overflow: visible;
}

/*.wp-block-gallery.has-nested-images figure.wp-block-image img {
    display: block;
    height: auto;
    max-width: 100% !important;
    width: auto;
}*/
.wp-block-gallery.has-nested-images.is-cropped figure.wp-block-image:not(#individual-image) img {
    flex: 0 0 auto; /* = flex:none; */
}







/* Лайтбокс для Галереи */
/*.wp-lightbox-overlay .close-button { 
	fill: white !important; 
	background-color: var(--wp--preset--color--base) !important;
	border: none;
	}
.wp-lightbox-overlay .scrim { 
	background-color: black !important; 
	}
*/


/* Шорткод Галереи с подписями к фото на странице Товара */

.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    margin: 20px 0;
}

.gallery .gallery-item {
    flex: 1 1 calc(33.333% - 15px);
    margin: 0;
    display: flex;
    flex-direction: column;
}

.gallery .gallery-caption {
    font-size: 0.85rem;
}

.wp-block-woocommerce-product-details .gallery .gallery-item img {
    width: 100%;
    max-width: 100%;
}

.gallery.gallery-columns-2 .gallery-item {
    flex: 1 1 calc(50% - 15px);
}

.gallery.gallery-columns-4 .gallery-item {
    flex: 1 1 calc(25% - 15px);
}

.gallery .gallery-image {
    width: 100%;
    height: auto;
    /*border-radius: 4px;*/
}

/* Совместимость со встроенным лайтбоксом */
.gallery .wp-block-gallery__link {
    display: block;
}



/*
@media="only screen and (max-width: 768px)" {
    .woocommerce #content table.cart .product-thumbnail, 
	.woocommerce table.cart .product-thumbnail, 
	.woocommerce-page #content table.cart .product-thumbnail, 
	.woocommerce-page table.cart .product-thumbnail {
        display: table-cell;
    }
}*/
/* Видео. Ширина внешнего контейнера для встраиваимого плеера */
@media (max-width: 768px) {
	.responsive-iframe {
	  width: 100%;
	  max-width: 320px; /* Фиксированная ширина на мобильных */
	  aspect-ratio: 16 / 9; /* Соотношение сторон (например, для видео) */
	}
	.responsive-iframe iframe {
	  width: 100%;
	  height: 100%;
	}
}

/* Блок со списком Категорий товара с картинками */
.wc-block-product-categories-list--has-images .wc-block-product-categories-list-item__image {
	max-width: 120px;
    /*border: 1px solid #eee;
    display: inline-block;
    margin: 0 .5em 0 -60px;
    padding: 0;
    position: relative;
    vertical-align: middle;*/
}
.wc-block-product-categories-list--has-images {
    /*list-style: none;*/
    padding-left: 0;
}

/* Блок 2 со списком Категорий товара */
.categories-lkt ul > li,
.categories-lkt ul > li > a {
	display: flex;
    flex-direction: row;
	flex-wrap: nowrap;
    justify-content: space-between;
	align-items: center;
}
/* Кнопка Купить в Каталоге в списке товаров */
.wp-block-button.wc-block-components-product-button {
	gap: 0px; /* высота строки с кнопкой */
}

/* Ссылка Просмотр корзины в каталоге в списке товаров */
.woocommerce a.added_to_cart {
    display: none !important;
}

/* Счетчик количества отзывов у Товара */
.wc-block-components-product-rating__reviews_count {
	display: none;
}
/* Блок статуса Товара */
.wp-block-woocommerce-product-collection .wc-block-components-product-stock-indicator {
    text-align: left;
}

/* Статус Товара на Странице товара */
p.stock.available-on-backorder {
	color: #CF0000;
}

/* Баг списка товаров в 2 колонки на широком мобильном устройстве */
.wc-block-product-template__responsive.columns-2 {
    grid-template-columns: repeat(auto-fill,minmax(max(170px,calc(50% - .625em)),1fr)) /* было 150 px */
}

/* Кнопка прокрутки Наверх */
.scroll-top {
    position: fixed;
    bottom: 10px;
    right: 10px;
	z-index: 9999;
	cursor: pointer;
}
.scroll-top a {
	border-radius: 10px;
	background-color: #00000057;
    padding: 0 10px;
    font-style: normal;
	font-size: 30px;
    font-weight: 300;
    line-height: 1.6;
    /*text-transform: uppercase;*/
}
.scroll-top a:hover,
.scroll-top a:active {
    background-color: #000000ff;
}
/* Показываем кнопку при прокрутке вниз */
body:not(.home):not(.archive):not(.search) .scroll-top {
    /*opacity: 1;*/
}
html{
	scroll-behavior: smooth;
	top: 0;
	/*scroll-padding-top: calc( var(--header-height) + 1rem );*/
	scroll-padding-top: 150px;
}

/* Шапка и навигация */
header.wp-block-template-part {
	position: sticky;
	top: 0;
	z-index: 9999;
}

@media (max-width: 768px) {
	.title-for-mobile {
		display: none;
		/*height: 0;*/
	}
}

/* Меню навигации */

.wp-block-navigation .wp-block-navigation-item > a[href="#"] {
	font-size: 11px;
    font-style: normal;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.wp-block-navigation .wp-block-navigation-item > a[href="#"]:hover,
.wp-block-navigation .wp-block-navigation-item > a[href="#"]:focus {
    text-decoration: none;
	cursor: default;
}
:where(.wp-block-navigation .wp-block-navigation-item *:focus),
.wp-block-navigation__responsive-container-close, 
.wp-block-navigation__responsive-container-open,
.wp-block-navigation .has-child .wp-block-navigation__submenu-container > .wp-block-navigation-item > .wp-block-navigation-item__content > a:active,
.wp-block-navigation .has-child .wp-block-navigation__submenu-container > .wp-block-navigation-item > .wp-block-navigation-item__content > a:focus {
	outline-style: none;
}
header .wp-block-navigation > .current-menu-item > a.wp-block-navigation-item__content,
header .wp-block-navigation-submenu > .wp-block-navigation-item > a.wp-block-navigation-item__content:active {
	outline-style: solid;
	outline-width: 1px;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
	padding-left: 0;	
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    padding: .5em 1em;
}
/* Разделитель в меню навигации. Доп. стиль произвольной ссылки в меню навигации */
li.wp-block-navigation-item.nav-divider.wp-block-navigation-link {
	border-bottom: solid 1px black;
    margin-bottom: 0.5em;
    width: 50px;
}
.wp-block-navigation__responsive-container-close svg, 
.wp-block-navigation__responsive-container-open svg {
	height: 30px;
    width: 30px;
}

/* Страница Оформления заказа Checkout */

/*#add_payment_method #payment, 
.woocommerce-cart #payment, */
.woocommerce-checkout #payment {
    background: none;
    border-radius: 0px;
}

/*#add_payment_method #payment div.payment_box, 
.woocommerce-cart #payment div.payment_box, */
.woocommerce-checkout #payment div.payment_box {
    display: none !important;
}

#add_payment_method #payment ul.payment_methods, 
.woocommerce-cart #payment ul.payment_methods, 
.woocommerce-checkout #payment ul.payment_methods {
	border-bottom: none;
}

/* Кнопка Отправить */
/*.woocommerce #payment #place_order, */
.woocommerce-page #payment #place_order {
    float: left;
}

/* Поля формы */
.woocommerce form .form-row .input-text, 
.woocommerce form .form-row select {
    border-radius: 0;
}
.woocommerce form .form-row label {
    line-height: 1.4;
}
.woocommerce-page form .form-row input.input-text, 
.woocommerce-page form .form-row select, 
.woocommerce-page form .form-row textarea.input-text {
    font-size: medium;
}
.woocommerce-checkout span.optional {
    display: none;
}
textarea#order_comments {
    height: 153px !important;
}

/* Шрифт в таблице Заказа */
main[data-page="checkout"] .woocommerce table.shop_table {
    font-size: smaller;
	border-radius: 0px;
}
main[data-page="checkout"] .woocommerce tr.order-total {
    background-color: #eeeeee;
}










